package com.bocloud.cmp.provider.nsx;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.nsx.NsxVirtualServerModel;

/**
 * nsx虚拟服务器
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年3月26日
 */
public interface VirtualServerProvider extends SuperProvider {
    BocloudResult list();

    BocloudResult create(NsxVirtualServerModel model);

    BocloudResult remove(String serverId);

    BocloudResult detail(String serverId);

    BocloudResult update(NsxVirtualServerModel model);
}
